## net.dontdrinkandroot.lastfm.api.model.parser
Interface EntityParser<T extends Entity>

All Known Implementing Classes:
  AgeEntityParser, AlbumEntityParser, AmountEntityParser, ArtistEntityParser, AuthorEntityParser, BodyEntityParser, BootstrapEntityParser, BuyLinkEntityParser, CountEntityParser, CountryEntityParser, CurrencyEntityParser, DateEntityParser, DescriptionEntityParser, DownloadAffiliationsEntityParser, DurationEntityParser, GenderEntityParser, IdEntityParser, ImageEntityParser, IsSearchEntityParser, ListenersEntityParser, MatchEntityParser, MbidEntityParser, MusicBrainzEntityParser, NameEntityParser, NowPlayingEntityParser, PhysicalAffiliationsEntityParser, PlayCountEntityParser, PriceEntityParser, RankEntityParser, ReachEntityParser, RealnameEntityParser, RecentTrackEntityParser, ReleaseDateEntityParser, ScrobbleSourceEntityParser, StreamableEntityParser, SubscriberEntityParser, SupplierIconEntityParser, SupplierNameEntityParser, TaggingsEntityParser, TagsEntityParser, TitleEntityParser, TracksEntityParser, UrlEntityParser, UserEntityParser, UserPlayCountEntityParser, VenueEntityParser, WebsiteEntityParser, WikiEntityParser

    public interface EntityParser<T extends Entity>

Method Summary
`void` `parse(org.w3c.dom.Element element, T entity)`

Method Detail

### parse

    void parse(org.w3c.dom.Element element,
               T entity)

Copyright © 2012. All Rights Reserved.